[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TDoubleHelper.Parse

Convert a string to a floating point value

## Declaration

Source position: syshelph.inc line 291

`public class function TDoubleHelper.Parse(`
`const AString: string`
`):Double; overload; class function TDoubleHelper.Parse(`
`const AString: string;`
`const AFormatSettings: TFormatSettings`
`):Double; overload;`

## Description

Parse will try to convert AString to a Double-sized floating point value. It will take into account internationalization settings. (it uses FloatToStr).

## Errors

If the string AString is not a valid floating-point value, a EConvertError exception is raised.

## See also

FloatToStr |  | Convert a float value to a string using a fixed format.
TDoubleHelper.ToString |  | Convert a Double-sized floating point value to a string
TDoubleHelper.TryParse |  | Try to convert a string to a Double-sized floating point value.